#ifndef COSM_CLIENT_H
#define COSM_CLIENT_H
#include "HTTPClient.h"
#include <string>

class CosmClient {
public:
    CosmClient(const char* apiKey = NULL, const char* feedID = NULL);
    void setApikey(const char* apiKey) {
        m_apiKey = apiKey;
    }
    void setFeedID(const char* feedID) {
        m_feedID = feedID;
    }
    void putCsv(const char* feedID, ...);
    void clear();
    void add(const char* id, int value, const char* format="%d");
    void add(const char* id, float value, const char* format="%f");
    void add(int id, float value, const char* format="%f");
    int update();
private:
    string m_buf;
    string m_apiKey;
    string m_feedID;
};

#endif //COSM_CLIENT_H
